Package de.willuhn.jameica.hbci.server.hbci

# Class HBCIContext

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.HBCIContext

public class HBCIContext extends Object
Hilfsklasse zum Erzeugen und Parsen der External-ID aus HBCI4Java.

## Constructor Summary

Constructors
Constructor
Description
`HBCIContext()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`serialize(HibiscusDBObject context)`
Serialisiert den Auftrag in eine External-ID.
`static String`
`toString(Object object)`
Liefert einen lesbaren Text fuer das Objekt.
`static HibiscusDBObject`
`unserialize(String externalId)`
Versucht den zugehoerigen Auftrag zu laden.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIContext

public HBCIContext()

## Method Details

### unserialize

public static HibiscusDBObject unserialize(String externalId)
Versucht den zugehoerigen Auftrag zu laden.

Parameters:
  `externalId` - die External-ID.
Returns:
  der Auftrag oder NULL, wenn er nicht ermittelbar war.

### serialize

public static String serialize(HibiscusDBObject context)
Serialisiert den Auftrag in eine External-ID.

Parameters:
  `context` - der Auftrag.
Returns:
  die External-ID.

### toString

public static String toString(Object object)
Liefert einen lesbaren Text fuer das Objekt.

Parameters:
  `object` - das Objekt.
Returns:
  der Text oder den Text "Unbekanter Auftrag, wenn keiner ermittelbar ist.